#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gdm
Version		:	45.0.1
Release		:	17.0.10.rel%{?dist}
Summary		:	The GNOME Display Manager
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2.0
URL		:	https://gitlab.gnome.org/GNOME/gdm/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	accountsservice-devel
BuildRequires	:	dconf
BuildRequires	:	gobject-introspection
BuildRequires	:	libgudev
BuildRequires	:	libcanberra

#-----------------------------------------------------------------------------
%description
GDM, the GNOME Display Manager, handles authentication-related
backend functionality for logging in a user and unlocking
the user's session after it's been locked.
GDM also provides functionality for initiating user-switching,
so more than one user can be logged in at the same time.
It handles graphical session registration with the system
for both local and remote sessions (in the latter case,
via the XDMCP protocol).  In cases where the session
doesn't provide it's own display server, GDM can start
the display server on behalf of the session.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/custom.conf
%config %{_sysconfdir}/%{name}/Init/Default
%config %{_sysconfdir}/%{name}/PostLogin/Default.sample
%config %{_sysconfdir}/%{name}/PostSession/Default
%config %{_sysconfdir}/%{name}/PreSession/Default
%{_sysconfdir}/%{name}/Xsession
%{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_sbindir}/%{name}
%{_bindir}/%{name}flexiserver
%{_bindir}/%{name}-screenshot
%{_libexecdir}/%{name}-runtime-config
%{_libexecdir}/%{name}-session-worker
%{_libexecdir}/%{name}-wayland-session
%{_libexecdir}/%{name}-x-session
%{_libdir}/lib%{name}.so.1*
%{_libdir}/udev/rules.d/61-%{name}.rules
%{_libdir}/girepository-1.0/Gdm-1.0.typelib
%{_libdir}/security/pam_gdm.so
%{_datadir}/dconf/profile/%{name}
%{_datadir}/%{name}/greeter-dconf-defaults
%{_datadir}/%{name}/greeter/applications/*
%{_datadir}/%{name}/greeter/autostart/*
%{_datadir}/%{name}/%{name}.schemas
%{_datadir}/%{name}/locale.alias
%{_datadir}/%{name}/gdb-cmd
%{_datadir}/gnome-session/sessions/gnome-login.session
%{_datadir}/glib-2.0/schemas/org.gnome.login-screen.gschema.xml


#-----------------------------------------------------------------------------
%pre 
if [ "$1" = 1 ]; then
  /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{name}

  /usr/sbin/useradd 				\
	-r					\
	-c "GDM Owner"				\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g %{name}				\
	-s /bin/false				\
	-d %{_var}/lib/%{name}			\
	%{name}
  fi

%preun
if [ "$1" = 0 ]; then
  /usr/sbin/userdel %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The gdm-devel package contains headers and other
files needed to build custom greeters.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-pam-extensions.pc
%{_datadir}/gir-1.0/Gdm-1.0.gir

#=============================================================================
%prep
%setup -q

sed -i							\
  -e 's@systemd@elogind@'				\
  -e '/elogind/isession  required       pam_loginuid.so'\
  data/pam-lfs/gdm-launch-environment.pam &&

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D gdm-xsession=true 				\
	-D run-dir=/run/gdm				\
	-D logind-provider=elogind			\
	-D systemd-journal=false			\
	-D systemdsystemunitdir=no			\
	-D systemduserunitdir=no			\
	build


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

%find_lang	%{name}	--with-gnome
#-----------------------------------------------------------------------------
%changelog
